## GimpGradientSelectButton GimpGradientSelectButton |

## Functions

GtkWidget * | gimp_gradient_select_button_new ()
const gchar * | gimp_gradient_select_button_get_gradient ()
void | gimp_gradient_select_button_set_gradient ()

## Properties

gchar * | gradient-name | Read / Write
gchar * | title | Read / Write / Construct Only

## Signals

void | gradient-set | Run First

## Types and Values

| GimpGradientSelectButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpSelectButton
                                ╰── GimpGradientSelectButton

## Implemented Interfaces

GimpGradientSelectButton implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gimp_gradient_select_button_new ()

    GtkWidget *
    gimp_gradient_select_button_new (const gchar *title,
                                     const gchar *gradient_name);

Since: GIMP 2.4

### gimp_gradient_select_button_get_gradient ()

    const gchar *
    gimp_gradient_select_button_get_gradient
                                   (GimpGradientSelectButton *button);

Since: GIMP 2.4

### gimp_gradient_select_button_set_gradient ()

    void
    gimp_gradient_select_button_set_gradient
                                   (GimpGradientSelectButton *button,
                                    const gchar *gradient_name);

Since: GIMP 2.4

## Types and Values

### GimpGradientSelectButton

    typedef struct _GimpGradientSelectButton GimpGradientSelectButton;

## Property Details

### The `“gradient-name”` property

      “gradient-name”            gchar *

The name of the currently selected gradient.

Flags: Read / Write

Default value: NULL

Since: GIMP 2.4

### The `“title”` property

      “title”                    gchar *

The title to be used for the gradient selection popup dialog.

Flags: Read / Write / Construct Only

Default value: "Gradient Selection"

Since: GIMP 2.4

## Signal Details

### The `“gradient-set”` signal

    void
    user_function (GimpGradientSelectButton *widget,
                   gchar                    *gradient_name,
                   gint                      width,
                   gpointer                  grad_data,
                   gboolean                  dialog_closing,
                   gpointer                  user_data)

Flags: Run First

Since: GIMP 2.4